package com.moovapps.sample.navigation.providers.form;

import com.moovapps.workplace.impl.navigation.providers.form.ExternalUserAdminEditProvider;
import org.apache.commons.lang3.NotImplementedException;
import org.w3c.dom.Element;

import com.axemble.vdoc.sdk.interfaces.runtime.INavigateContext;
import com.axemble.vdp.ui.framework.composites.base.CtlAbstractForm;
import com.axemble.vdp.ui.framework.document.AbstractDocument;
import com.axemble.vdp.ui.framework.document.AbstractField;

public class SampleExternalUserAdminEditProvider extends ExternalUserAdminEditProvider {
	
	public SampleExternalUserAdminEditProvider(INavigateContext context, AbstractDocument document, CtlAbstractForm abstractForm) {
		super(context, document, abstractForm);
	}
	
	@Override
	protected boolean loadCustomField(AbstractField field, Element element) {
		switch (field.getName()){
			case "sample":
				field.setValue(user.getExtendedAttributes().getValue("sample"));
				break;
			case "sample2":
				field.setValue(user.getExtendedAttributes().getValue("sample2"));
				break;
			default:
				throw new NotImplementedException("Field " + field.getName() + "is not implemented!");
		}
		return (true);
	}

	@Override
	protected boolean saveCustomField(AbstractField field) {
		switch (field.getName()){
			case "sample":
				user.getExtendedAttributes().setValue("sample", field.getValue() );
				break;
			case "sample2":
				user.getExtendedAttributes().setValue("sample2", field.getValue() );
				break;
			default:
				throw new NotImplementedException("Field " + field.getName() + "is not implemented!");
		}
		return (true);
	}
}
